This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 855380 - Owner information on copied and uploaded units are wrong
Owner information on copied and uploaded units are wrong
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 40
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On: 855384 858083
Blocks: katello-v2-pulp
  Show dependency treegraph
 
Reported: 2012-09-07 10:53 EDT by Jay Dobies
Modified: 2013-09-09 12:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:08:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2012-09-07 10:53:48 EDT
... and wrong in different ways no less.

Copied units are reflecting as being owned by the importer.

Uploaded units are reflecting as being user owned, but with SYSTEM as the user.
Comment 1 Jay Dobies 2012-09-07 10:57:38 EDT
The upload portion of this depends on 855384.
Comment 2 Jeff Ortel 2012-09-21 14:12:55 EDT
build: 0.328
Comment 3 Preethi Thomas 2012-09-26 11:21:45 EDT
verified
[root@pulp-master ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.328-1.fc17.noarch
[root@pulp-master ~]# 

[root@pulp-master ~]# pulp-admin repo create --repo-id 855384
Successfully created repository [855384]

[root@pulp-master ~]# pulp-admin repo uploads rpm --file redhat-ddns-client-1.3-4.noarch.rpm  --repo-id 855384 -v
+----------------------------------------------------------------------+
                          Puppet Module Upload
+----------------------------------------------------------------------+

Files to be uploaded:
  redhat-ddns-client-1.3-4.noarch.rpm

Extracting necessary metdata for each request...
[==================================================] 100%
Analyzing: redhat-ddns-client-1.3-4.noarch.rpm
... completed

Creating upload requests on the server...
[==================================================] 100%
Initializing: redhat-ddns-client-1.3-4.noarch.rpm
... completed

Starting upload of selected packages. If this process is stopped through ctrl+c,
the uploads will be paused and may be resumed later using the resume command or
cancelled entirely using the cancel command.

Uploading: redhat-ddns-client-1.3-4.noarch.rpm
[==================================================] 100%
5776/5776 bytes
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

[root@pulp-master ~]#  pulp-admin repo units rpm --repo-id 855384 --details
Created:       2012-09-26T19:19:32Z
Id:            50631d04edfc06774d000148
Metadata:      
  Arch:         noarch
  Buildhost:    x86-008.build.bos.redhat.com
  Checksum:     cf97f4c1ab2b98b39780d458cef81826de54d2227067a3f8365019baec7cdb87
  Checksumtype: sha256
  Description:  This is the client for the internal Red Hat ddns system.  It is
                capable of keeping multiple system names updated with a central
                DNS server
  Epoch:        0
  Filename:     redhat-ddns-client-1.3-4.noarch.rpm
  License:      GPL
  Name:         redhat-ddns-client
  Provides:     [[u'config(redhat-ddns-client)'], [u'redhat-ddns-client']]
  Relativepath: redhat-ddns-client-1.3-4.noarch.rpm
  Release:      4
  Requires:     [[u'/bin/bash'], [u'/bin/sh'], [u'/bin/sh'], [u'bash'],
                [u'config(redhat-ddns-client)'],
                [u'rpmlib(CompressedFileNames)'],
                [u'rpmlib(PayloadFilesHavePrefix)'], [u'wget']]
  Vendor:       Red Hat, Inc.
  Version:      1.3
Owner Id:      admin
Owner Type:    user
Repo Id:       855384
Unit Id:       c86906d5-97da-451d-8eca-e542b3fafe26
Unit Type Id:  rpm
Updated:       2012-09-26T19:19:32Z


[root@pulp-master ~]# pulp-admin repo copy rpm --from-repo-id  pulp --to-repo-id 855384 --match='filename=gofer*'
Progress on this task can be viewed using the commands under "repo tasks".

[root@pulp-master ~]#  pulp-admin repo units rpm --repo-id 855384 --detailsCreated:       2012-09-26T19:20:33Z
Id:            50631d41edfc06774d000158
Metadata:      
  Arch:         noarch
  Buildhost:    localhost
  Checksum:     f5a0a21227f67089991649e3b3f6aeab9f16838cee3897938a0bbae2eb31f110
  Checksumtype: sha256
  Description:  Gofer provides an extensible, light weight, universal python
                agent. The gofer core agent is a python daemon (service) that
                provides infrastructure for exposing a remote API and for
                running Recurring Actions. The APIs contributed by plug-ins are
                accessible by Remote Method Invocation (RMI). The transport for
                RMI is AMQP using the QPID message broker. Actions are also
                provided by plug-ins and are executed at the specified interval.
  Epoch:        0
  Filename:     gofer-0.70-1.el6.noarch.rpm
  License:      LGPLv2
  Name:         gofer
  Provides:     [[u'gofer', u'EQ', [u'0', u'0.70', u'1.el6']],
                [u'config(gofer)', u'EQ', [u'0', u'0.70', u'1.el6']]]
  Relativepath: gofer-0.70-1.el6.noarch.rpm
  Release:      1.el6
  Requires:     [[u'python-iniparse', None, [None, None, None]],
                [u'python-gofer', u'EQ', [u'0', u'0.70', None]],
                [u'python(abi)', u'EQ', [u'0', u'2.6', None]], [u'/usr/bin/env',
                None, [None, None, None]], [u'/bin/sh', None, [None, None,
                None]], [u'/bin/sh', None, [None, None, None]], [u'/bin/bash',
                None, [None, None, None]]]
  Vendor:       
  Version:      0.70
Owner Id:      admin
Owner Type:    user
Repo Id:       855384
Unit Id:       7c90b835-bff5-4b64-97fa-a5500b76b086
Unit Type Id:  rpm
Updated:       2012-09-26T19:20:33Z


Created:       2012-09-26T19:20:33Z
Id:            50631d41edfc06774d000159
Metadata:      
  Arch:         noarch
  Buildhost:    localhost
  Checksum:     31ca52f21b75412e5898c64addfa4b5d5c9069d0a07d68599131dbff87f2936e
  Checksumtype: sha256
  Description:  Contains the package plugin. This plug-in provides RMI access to
                package (RPM) management.
  Epoch:        0
  Filename:     gofer-package-0.70-1.el6.noarch.rpm
  License:      LGPLv2
  Name:         gofer-package
  Provides:     [[u'gofer-package', u'EQ', [u'0', u'0.70', u'1.el6']],
                [u'config(gofer-package)', u'EQ', [u'0', u'0.70', u'1.el6']]]
  Relativepath: gofer-package-0.70-1.el6.noarch.rpm
  Release:      1.el6
  Requires:     [[u'yum', None, [None, None, None]], [u'gofer', u'GE', [u'0',
                u'0.70', None]]]
  Vendor:       
  Version:      0.70
Owner Id:      admin
Owner Type:    user
Repo Id:       855384
Unit Id:       b8fe60e8-3dee-42bc-b3e6-cf6581a378e6
Unit Type Id:  rpm
Updated:       2012-09-26T19:20:33Z


Created:       2012-09-26T19:20:33Z
Id:            50631d41edfc06774d00015a
Metadata:      
  Arch:         noarch
  Buildhost:    localhost
  Checksum:     b4786acd768a976911742f6a79f4bb4d26aa4b9614c394a5e05038e7e2b9525f
  Checksumtype: sha256
  Description:  Contains gofer python lib modules.
  Epoch:        0
  Filename:     python-gofer-0.70-1.el6.noarch.rpm
  License:      LGPLv2
  Name:         python-gofer
  Provides:     [[u'python-gofer', u'EQ', [u'0', u'0.70', u'1.el6']]]
  Relativepath: python-gofer-0.70-1.el6.noarch.rpm
  Release:      1.el6
  Requires:     [[u'python-simplejson', None, [None, None, None]],
                [u'python-qpid', u'GE', [u'0', u'0.7', None]], [u'python(abi)',
                u'EQ', [u'0', u'2.6', None]], [u'PyPAM', None, [None, None,
                None]]]
  Vendor:       
  Version:      0.70
Owner Id:      admin
Owner Type:    user
Repo Id:       855384
Unit Id:       7f6bc943-e147-43a8-b6e5-d85cd905e1f6
Unit Type Id:  rpm
Updated:       2012-09-26T19:20:33Z


Created:       2012-09-26T19:19:32Z
Id:            50631d04edfc06774d000148
Metadata:      
  Arch:         noarch
  Buildhost:    x86-008.build.bos.redhat.com
  Checksum:     cf97f4c1ab2b98b39780d458cef81826de54d2227067a3f8365019baec7cdb87
  Checksumtype: sha256
  Description:  This is the client for the internal Red Hat ddns system.  It is
                capable of keeping multiple system names updated with a central
                DNS server
  Epoch:        0
  Filename:     redhat-ddns-client-1.3-4.noarch.rpm
  License:      GPL
  Name:         redhat-ddns-client
  Provides:     [[u'config(redhat-ddns-client)'], [u'redhat-ddns-client']]
  Relativepath: redhat-ddns-client-1.3-4.noarch.rpm
  Release:      4
  Requires:     [[u'/bin/bash'], [u'/bin/sh'], [u'/bin/sh'], [u'bash'],
                [u'config(redhat-ddns-client)'],
                [u'rpmlib(CompressedFileNames)'],
                [u'rpmlib(PayloadFilesHavePrefix)'], [u'wget']]
  Vendor:       Red Hat, Inc.
  Version:      1.3
Owner Id:      admin
Owner Type:    user
Repo Id:       855384
Unit Id:       c86906d5-97da-451d-8eca-e542b3fafe26
Unit Type Id:  rpm
Updated:       2012-09-26T19:19:32Z
Comment 4 Preethi Thomas 2013-01-09 12:08:50 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.